> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Update member

PATCH https://api.sigmacomputing.com/v2/members/{memberId}
Content-Type: application/json

Update a specific user by memberId.

  ### Usage notes
  - Retrieve the **memberId** by calling the [/v2/members](https://help.sigmacomputing.com/reference/list-members) endpoint.
  - Review the account types returned by the same endpoint to understand the format of the **memberType** string.
  - To deactivate a user and reassign their documents to a specific user, set  `newOwnerId`to the user ID of the desired document owner, and `isArchived` to `True`. For more details, see [Deactivate a user](/docs/deactivate-users).
    

Reference: https://help.sigmacomputing.com/reference/update-member

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/members/{memberId}:
    patch:
      operationId: updateMember
      summary: Update member
      description: |-
        Update a specific user by memberId.

          ### Usage notes
          - Retrieve the **memberId** by calling the [/v2/members](https://help.sigmacomputing.com/reference/list-members) endpoint.
          - Review the account types returned by the same endpoint to understand the format of the **memberType** string.
          - To deactivate a user and reassign their documents to a specific user, set  `newOwnerId`to the user ID of the desired document owner, and `isArchived` to `True`. For more details, see [Deactivate a user](/docs/deactivate-users).
            
      tags:
        - Members
      parameters:
        - name: memberId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/members_updateMember_Response_200'
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                memberType:
                  type: string
                  description: Account type
                firstName:
                  type: string
                lastName:
                  type: string
                profileImgUrl:
                  type:
                    - string
                    - 'null'
                email:
                  type: string
                isArchived:
                  type: boolean
                  description: Whether to deactivate a user in Sigma.
                isInactive:
                  type: boolean
                  description: Whether to archive a user with SCIM.
                userKind:
                  $ref: >-
                    #/components/schemas/V2MembersMemberIdPatchRequestBodyContentApplicationJsonSchemaUserKind
                newOwnerId:
                  type: string
                archiveDocuments:
                  type: boolean
                  description: >-
                    Archive a user's documents instead of transferring them. Can
                    only be used if either `isArchived` or `isInactive` is set
                    to `true`. Also archives scheduled exports.
                archiveScheduledExports:
                  type: boolean
                  description: >-
                    Archive a user's scheduled exports instead of transferring
                    them. Can only be used if either `isArchived` or
                    `isInactive` is set to `true`
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2MembersMemberIdPatchRequestBodyContentApplicationJsonSchemaUserKind:
      type: string
      enum:
        - internal
        - guest
        - embed
      title: V2MembersMemberIdPatchRequestBodyContentApplicationJsonSchemaUserKind
    members_updateMember_Response_200:
      type: object
      properties:
        organizationId:
          type: string
        memberId:
          type: string
        memberType:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        email:
          type: string
        profileImgUrl:
          type:
            - string
            - 'null'
        createdBy:
          type: string
        updatedBy:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        homeFolderId:
          type: string
          description: ID of the My Documents folder for the user
        userKind:
          type: string
        isArchived:
          type: boolean
          description: Whether a user is deactivated in Sigma.
        isInactive:
          type: boolean
          description: Whether a user is archived by SCIM.
      required:
        - organizationId
        - memberId
        - memberType
        - firstName
        - lastName
        - email
        - profileImgUrl
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
        - homeFolderId
        - userKind
      title: members_updateMember_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "organizationId": "org-9f8b7c6d5e4a3b2c1d0e",
  "memberId": "mem-1234567890abcdef",
  "memberType": "internal",
  "firstName": "Alice",
  "lastName": "Johnson",
  "email": "alice.johnson@example.com",
  "profileImgUrl": "https://cdn.sigmacomputing.com/profiles/alicejohnson.png",
  "createdBy": "admin-0987654321fedcba",
  "updatedBy": "admin-0987654321fedcba",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-04-20T14:45:00Z",
  "homeFolderId": "folder-abcdef1234567890",
  "userKind": "internal",
  "isArchived": false,
  "isInactive": false
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/members/memberId"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/members/memberId';
const options = {
  method: 'PATCH',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/members/memberId"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/members/memberId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.sigmacomputing.com/v2/members/memberId")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.sigmacomputing.com/v2/members/memberId', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/members/memberId");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/members/memberId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```